Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Functions | Variables
ossl_cipher.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
const EVP_CIPHER * | GetCipherPtr (VALUE)
VALUE | ossl_cipher_new (const EVP_CIPHER *)
void | Init_ossl_cipher (void)

## Variables
VALUE | cCipher
VALUE | eCipherError

## Function Documentation

const EVP_CIPHER* GetCipherPtr | ( | VALUE | ) |  |

Definition at line 45 of file ossl_cipher.c.

References SafeGetCipher.

Referenced by ossl_dsa_export(), ossl_pkcs7_s_encrypt(), ossl_pkcs7_set_cipher(), and ossl_rsa_export().

void Init_ossl_cipher | ( | void | ) |  |

Definition at line 741 of file ossl_cipher.c.

References cCipher, eCipherError, eOSSLError, mOSSL, ossl_cipher_alloc(), ossl_cipher_copy(), ossl_cipher_decrypt(), ossl_cipher_encrypt(), ossl_cipher_final(), ossl_cipher_get_auth_tag, ossl_cipher_initialize(), ossl_cipher_is_authenticated, ossl_cipher_name(), ossl_cipher_pkcs5_keyivgen(), ossl_cipher_reset(), ossl_cipher_set_auth_data, ossl_cipher_set_auth_tag, ossl_cipher_set_iv(), ossl_cipher_set_key(), ossl_cipher_set_key_length(), ossl_cipher_set_padding, ossl_cipher_update(), ossl_s_ciphers, rb_cObject, rb_define_alloc_func(), rb_define_class_under(), rb_define_copy_func, rb_define_method(), rb_define_module(), and rb_define_module_function().

Referenced by Init_openssl().

VALUE ossl_cipher_new | ( | const EVP_CIPHER * | ) |  |

Definition at line 55 of file ossl_cipher.c.

References AllocCipher, cCipher, eCipherError, EVP_CipherInit_ex, NULL, ossl_cipher_alloc(), and ossl_raise().

## Variable Documentation

VALUE cCipher

Definition at line 36 of file ossl_cipher.c.

Referenced by Init_ossl_cipher(), and ossl_cipher_new().

VALUE eCipherError

Definition at line 37 of file ossl_cipher.c.

Referenced by Init_ossl_cipher(), ossl_cipher_copy(), ossl_cipher_final(), ossl_cipher_init(), ossl_cipher_initialize(), ossl_cipher_new(), ossl_cipher_pkcs5_keyivgen(), ossl_cipher_reset(), ossl_cipher_set_iv(), ossl_cipher_set_key(), ossl_cipher_set_key_length(), and ossl_cipher_update().